package com.adealink.weparty.room.micseat.decor

import android.view.View
import androidx.annotation.DrawableRes

interface IAvatarDecorApi : IDecorApi {

    fun showAvatar(url: String)

    fun getAvatarView(): View?

    fun resetAvatar()

    fun setAvatarEmptyResId(@DrawableRes id: Int)

    fun setAvatarLockResId(@DrawableRes id: Int)

}